Description

When loading WMS 1.3.0 layers using projected CRSs that use reverse axis order (norting-easting instead of easting-norting) the
coordinates are managed incorrectly.

For instance, if the layer Corine Land Cover 250m 1990 [CORINE_CLC90_250m] is loaded using EPSG:3035 from the WMS
"http://pegasosdi.uab.es/ogc/wms", the correct bounding box in CRS:3035 is EPSG:3035 (xmin=1500000.0, ymin=900000.0,
xmax=7400000.0, ymax=5500000.0) but the parsed one is (xmin=900000.0, ymin=1500000.0, xmax=5500000.0, ymax=7400000.0)

As a consequence, the layers on these CRS are drawn in a wrong position (sometimes not drawn at all). The list of CRS (currently)
using reverse axis order is available on this CSV: https://github.com/mapserver/mapserver/blob/branch-7-0/mapaxisorder.csv

From these CRS, all the projected (non geographic) CRSs incorrectly managed.

This is a regression compared with gvSIG 1.12, as this bug was fixed for 1.12.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3437: GetFeaturelnfo en ... Closed 05/04/2015

Associated revisions

Revision 3325 - 04/23/2015 05:54 PM - Cesar Martinez lzquierdo

WMS: Correctly manage projected CRSs using non-xy axis order (e.g. EPSG:3035). Add an Ul checkbox to make this behaviour customizable by
user. Fixes #3266.

History

#1 - 03/13/2015 09:36 AM - Alvaro Anguix
- Severity changed from Minor to Major

- Target version set to 2.2.0-2311-rc2

- Assignee set to Francisco Diaz Carsi

#2 - 03/13/2015 12:04 PM - Alvaro Anguix

- Target version deleted (2.2.0-2311-rc2)

Lo dejamos post-2.2, ya que es complejo abordarlo.
https://github.com/mapserver/mapserver/blob/branch-7-0/mapaxisorder.csv

#3 - 03/24/2015 10:16 AM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

- Assignee changed from Francisco Diaz Carsi to Cesar Martinez Izquierdo

#4 - 04/06/2015 09:51 AM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#5 - 04/23/2015 01:04 PM - Joaquin del Cerro Murciano
- Target version deleted (2.2.0-2311-rc2)

#6 - 04/23/2015 05:54 PM - Cesar Martinez Izquierdo
- Status changed from In progress to Fixed

#7 - 04/24/2015 09:19 AM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

#8 - 04/24/2015 12:58 PM - Joaquin del Cerro Murciano
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2307 (rev. org.gvsig.desktop-2.0.94)

#9 - 04/29/2015 11:55 AM - Alvaro Anguix
- Status changed from Fixed to Closed

#10 - 05/04/2015 01:27 PM - Alvaro Anguix
- Related to gvSIG bugs #3437: GetFeaturelnfo en WMS 1.3.0 con CRS 4326 added
